OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DropDownListPresetItem Class Reference
Inheritance diagram for DropDownListPresetItem:

## Public Member Functions
| DropDownListPresetItem (int result)
bool | Selectable () const
void | Draw (int left, int right, int top, int bottom, bool sel, int bg_colour) const
Public Member Functions inherited from DropDownListItem
| DropDownListItem (int result, bool masked)
virtual uint | Height (uint width) const
virtual uint | Width () const

## Additional Inherited Members
Data Fields inherited from DropDownListItem
int | result
| Result code to return to window on selection.
bool | masked
| Masked and unselectable item.

## Detailed Description

Definition at line 570 of file newgrf_gui.cpp.

The documentation for this class was generated from the following file:

- src/newgrf_gui.cpp